Package: org.codehaus.groovy.grails.web.taglib

## [Java] Interface GrailsTag

- Allows to tag implementation to be abstracted from the JSP custom tag spec.. hence allowing them to be used in direct method calls etc.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doEndTag()` process the end tag
    `void` | `doStartTag()` Process the start tag
    `java.lang.String` | `getName()` @return The name of the tag
    `void` | `init(java.util.Map tagContext)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute of the tag
    `void` | `setAttributes(java.util.Map attributes)` Sets the attributes of the tag
    `void` | `setWriter(java.io.Writer w)` Sets the writer that processes the tag

- - ### Method Detail

    - #### public void doEndTag()

      process the end tag

    - #### public void doStartTag()

      Process the start tag

    - #### public java.lang.String getName()

      Returns:
        The name of the tag

    - #### @java.lang.SuppressWarnings("rawtypes") public void init(java.util.Map tagContext)

    - #### public void setAttribute(java.lang.String name, java.lang.Object value)

      Sets an attribute of the tag

      Parameters:
        name
        value

    - #### @java.lang.SuppressWarnings("rawtypes") public void setAttributes(java.util.Map attributes)

      Sets the attributes of the tag

      Parameters:
        attributes

    - #### public void setWriter(java.io.Writer w)

      Sets the writer that processes the tag

      Parameters:
        w